package com.ejie.y42b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * Envio  
 * 
 *  
 */

public class Envio implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String envioId;
	private String sessionOid;
	private String tipo;
	private String xmlimportado;
	private String mailingTemplate;
	private String mailingAsunto;
	private Date fechaOperacion;
	private String tipoOperacion;
	private String xmlnombrecampo1;
	private String xmlnombrecampo2;
	private String xmlnombrecampo3;
	private String xmlnombrecampo4;
	private String xmlnombrecampo5;
	private String xmlnombrecampo6;
	private String xmlnombrecampo7;
	private String xmlnombrecampo8;
	private String xmlnombrecampo9;
	private String xmlnombrecampo10;
	private String usuultmod;
	private Date fecultmod;
	private List<Adjunto> adjuntos = new ArrayList<Adjunto>();
	private List<Item> items = new ArrayList<Item>();
	private String destinatarioInforme;
	private String direccionOrigen;
	private String envioKontsumonet;
	private String acuse;
	private String envioAContactos;
	private String remitenteEnvio;

	/**
	 * Method 'Envio'.
	 * 
	 */
	public Envio() {
	}

	/**
	 * Method 'Envio'.
	 * 
	 * @param envioId
	 *            String
	 * @param sessionOid
	 *            String
	 * @param tipo
	 *            String
	 * @param xmlimportado
	 *            String
	 * @param mailingTemplate
	 *            String
	 * @param mailingAsunto
	 *            String
	 * @param fechaOperacion
	 *            Date
	 * @param tipoOperacion
	 *            String
	 * @param xmlnombrecampo1
	 *            String
	 * @param xmlnombrecampo2
	 *            String
	 * @param xmlnombrecampo3
	 *            String
	 * @param xmlnombrecampo4
	 *            String
	 * @param xmlnombrecampo5
	 *            String
	 * @param xmlnombrecampo6
	 *            String
	 * @param xmlnombrecampo7
	 *            String
	 * @param xmlnombrecampo8
	 *            String
	 * @param xmlnombrecampo9
	 *            String
	 * @param xmlnombrecampo10
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param envioKontsumonet
	 *            String
	 * @param remitenteEnvio
	 *            String
	 */
	public Envio(String envioId, String sessionOid, String tipo,
			String xmlimportado, String mailingTemplate, String mailingAsunto,
			Date fechaOperacion, String tipoOperacion, String xmlnombrecampo1,
			String xmlnombrecampo2, String xmlnombrecampo3,
			String xmlnombrecampo4, String xmlnombrecampo5,
			String xmlnombrecampo6, String xmlnombrecampo7,
			String xmlnombrecampo8, String xmlnombrecampo9,
			String xmlnombrecampo10, String usuultmod, Date fecultmod,
			String envioKontsumonet, String remitenteEnvio) {
		this.envioId = envioId;
		this.sessionOid = sessionOid;
		this.tipo = tipo;
		this.xmlimportado = xmlimportado;
		this.mailingTemplate = mailingTemplate;
		this.mailingAsunto = mailingAsunto;
		this.fechaOperacion = fechaOperacion;
		this.tipoOperacion = tipoOperacion;
		this.xmlnombrecampo1 = xmlnombrecampo1;
		this.xmlnombrecampo2 = xmlnombrecampo2;
		this.xmlnombrecampo3 = xmlnombrecampo3;
		this.xmlnombrecampo4 = xmlnombrecampo4;
		this.xmlnombrecampo5 = xmlnombrecampo5;
		this.xmlnombrecampo6 = xmlnombrecampo6;
		this.xmlnombrecampo7 = xmlnombrecampo7;
		this.xmlnombrecampo8 = xmlnombrecampo8;
		this.xmlnombrecampo9 = xmlnombrecampo9;
		this.xmlnombrecampo10 = xmlnombrecampo10;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.envioKontsumonet = envioKontsumonet;
		this.remitenteEnvio = remitenteEnvio;
	}

	/**
	 * Method 'Envio'.
	 * 
	 * @param envioId
	 *            String
	 * @param sessionOid
	 *            String
	 * @param tipo
	 *            String
	 * @param xmlimportado
	 *            String
	 * @param mailingTemplate
	 *            String
	 * @param mailingAsunto
	 *            String
	 * @param fechaOperacion
	 *            Date
	 * @param tipoOperacion
	 *            String
	 * @param xmlnombrecampo1
	 *            String
	 * @param xmlnombrecampo2
	 *            String
	 * @param xmlnombrecampo3
	 *            String
	 * @param xmlnombrecampo4
	 *            String
	 * @param xmlnombrecampo5
	 *            String
	 * @param xmlnombrecampo6
	 *            String
	 * @param xmlnombrecampo7
	 *            String
	 * @param xmlnombrecampo8
	 *            String
	 * @param xmlnombrecampo9
	 *            String
	 * @param xmlnombrecampo10
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param destinatarioInforme
	 *            String
	 * @param envioKontsumonet
	 *            String
	 * @param remitenteEnvio
	 *            String
	 * @param acuse
	 *            String
	 */
	public Envio(String envioId, String sessionOid, String tipo,
			String xmlimportado, String mailingTemplate, String mailingAsunto,
			Date fechaOperacion, String tipoOperacion, String xmlnombrecampo1,
			String xmlnombrecampo2, String xmlnombrecampo3,
			String xmlnombrecampo4, String xmlnombrecampo5,
			String xmlnombrecampo6, String xmlnombrecampo7,
			String xmlnombrecampo8, String xmlnombrecampo9,
			String xmlnombrecampo10, String usuultmod, Date fecultmod,
			String destinatarioInforme, String direccionOrigen,
			String envioKontsumonet, String envioAContactos,
			String remitenteEnvio, String acuse) {
		this.envioId = envioId;
		this.sessionOid = sessionOid;
		this.tipo = tipo;
		this.xmlimportado = xmlimportado;
		this.mailingTemplate = mailingTemplate;
		this.mailingAsunto = mailingAsunto;
		this.fechaOperacion = fechaOperacion;
		this.tipoOperacion = tipoOperacion;
		this.xmlnombrecampo1 = xmlnombrecampo1;
		this.xmlnombrecampo2 = xmlnombrecampo2;
		this.xmlnombrecampo3 = xmlnombrecampo3;
		this.xmlnombrecampo4 = xmlnombrecampo4;
		this.xmlnombrecampo5 = xmlnombrecampo5;
		this.xmlnombrecampo6 = xmlnombrecampo6;
		this.xmlnombrecampo7 = xmlnombrecampo7;
		this.xmlnombrecampo8 = xmlnombrecampo8;
		this.xmlnombrecampo9 = xmlnombrecampo9;
		this.xmlnombrecampo10 = xmlnombrecampo10;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.destinatarioInforme = destinatarioInforme;
		this.direccionOrigen = direccionOrigen;
		this.envioKontsumonet = envioKontsumonet;
		this.envioAContactos = envioAContactos;
		this.remitenteEnvio = remitenteEnvio;
		this.acuse = acuse;
	}

	/**
	 * Method 'Envio'.
	 * 
	 * @param envioId
	 *            String
	 * @param sessionOid
	 *            String
	 * @param tipo
	 *            String
	 * @param xmlimportado
	 *            String
	 * @param mailingTemplate
	 *            String
	 * @param mailingAsunto
	 *            String
	 * @param fechaOperacion
	 *            Date
	 * @param tipoOperacion
	 *            String
	 * @param xmlnombrecampo1
	 *            String
	 * @param xmlnombrecampo2
	 *            String
	 * @param xmlnombrecampo3
	 *            String
	 * @param xmlnombrecampo4
	 *            String
	 * @param xmlnombrecampo5
	 *            String
	 * @param xmlnombrecampo6
	 *            String
	 * @param xmlnombrecampo7
	 *            String
	 * @param xmlnombrecampo8
	 *            String
	 * @param xmlnombrecampo9
	 *            String
	 * @param xmlnombrecampo10
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param destinatarioInforme
	 *            String
	 * @param envioKontsumonet
	 *            String
	 * @param remitenteEnvio
	 *            String
	 * @param adjuntos
	 *            List<Adjunto>
	 * @param items
	 *            List<Item>
	 */
	public Envio(String envioId, String sessionOid, String tipo,
			String xmlimportado, String mailingTemplate, String mailingAsunto,
			Date fechaOperacion, String tipoOperacion, String xmlnombrecampo1,
			String xmlnombrecampo2, String xmlnombrecampo3,
			String xmlnombrecampo4, String xmlnombrecampo5,
			String xmlnombrecampo6, String xmlnombrecampo7,
			String xmlnombrecampo8, String xmlnombrecampo9,
			String xmlnombrecampo10, String usuultmod, Date fecultmod,
			String destinatarioInforme, String envioKontsumonet,
			String envioAContactos, String remitenteEnvio, String acuse,
			List<Adjunto> adjuntos, List<Item> items) {

		this.envioId = envioId;
		this.sessionOid = sessionOid;
		this.tipo = tipo;
		this.xmlimportado = xmlimportado;
		this.mailingTemplate = mailingTemplate;
		this.mailingAsunto = mailingAsunto;
		this.fechaOperacion = fechaOperacion;
		this.tipoOperacion = tipoOperacion;
		this.xmlnombrecampo1 = xmlnombrecampo1;
		this.xmlnombrecampo2 = xmlnombrecampo2;
		this.xmlnombrecampo3 = xmlnombrecampo3;
		this.xmlnombrecampo4 = xmlnombrecampo4;
		this.xmlnombrecampo5 = xmlnombrecampo5;
		this.xmlnombrecampo6 = xmlnombrecampo6;
		this.xmlnombrecampo7 = xmlnombrecampo7;
		this.xmlnombrecampo8 = xmlnombrecampo8;
		this.xmlnombrecampo9 = xmlnombrecampo9;
		this.xmlnombrecampo10 = xmlnombrecampo10;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.destinatarioInforme = destinatarioInforme;
		this.envioKontsumonet = envioKontsumonet;
		this.envioAContactos = envioAContactos;
		this.remitenteEnvio = remitenteEnvio;
		this.acuse = acuse;
		this.adjuntos = adjuntos;
		this.items = items;

	}

	/**
	 * Method 'getEnvioId'.
	 * 
	 * @return String
	 */

	public String getEnvioId() {
		return this.envioId;
	}

	/**
	 * Method 'setEnvioId'.
	 * 
	 * @param envioId
	 *            String
	 * @return
	 */

	public void setEnvioId(String envioId) {
		this.envioId = envioId;
	}

	/**
	 * Method 'getSessionOid'.
	 * 
	 * @return String
	 */

	public String getSessionOid() {
		return this.sessionOid;
	}

	/**
	 * Method 'setSessionOid'.
	 * 
	 * @param sessionOid
	 *            String
	 * @return
	 */

	public void setSessionOid(String sessionOid) {
		this.sessionOid = sessionOid;
	}

	/**
	 * Method 'getTipo'.
	 * 
	 * @return String
	 */

	public String getTipo() {
		return this.tipo;
	}

	/**
	 * Method 'setTipo'.
	 * 
	 * @param tipo
	 *            String
	 * @return
	 */

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * Method 'getXmlimportado'.
	 * 
	 * @return String
	 */

	public String getXmlimportado() {
		return this.xmlimportado;
	}

	/**
	 * Method 'setXmlimportado'.
	 * 
	 * @param xmlimportado
	 *            String
	 * @return
	 */

	public void setXmlimportado(String xmlimportado) {
		this.xmlimportado = xmlimportado;
	}

	/**
	 * Method 'getMailingTemplate'.
	 * 
	 * @return String
	 */

	public String getMailingTemplate() {
		return this.mailingTemplate;
	}

	/**
	 * Method 'setMailingTemplate'.
	 * 
	 * @param mailingTemplate
	 *            String
	 * @return
	 */

	public void setMailingTemplate(String mailingTemplate) {
		this.mailingTemplate = mailingTemplate;
	}

	/**
	 * Method 'getMailingAsunto'.
	 * 
	 * @return String
	 */

	public String getMailingAsunto() {
		return this.mailingAsunto;
	}

	/**
	 * Method 'setMailingAsunto'.
	 * 
	 * @param mailingAsunto
	 *            String
	 * @return
	 */

	public void setMailingAsunto(String mailingAsunto) {
		this.mailingAsunto = mailingAsunto;
	}

	/**
	 * Method 'getFechaOperacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaOperacion() {
		return this.fechaOperacion;
	}

	/**
	 * Method 'setFechaOperacion'.
	 * 
	 * @param fechaOperacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaOperacion(Date fechaOperacion) {
		this.fechaOperacion = fechaOperacion;
	}

	/**
	 * Method 'getTipoOperacion'.
	 * 
	 * @return String
	 */

	public String getTipoOperacion() {
		return this.tipoOperacion;
	}

	/**
	 * Method 'setTipoOperacion'.
	 * 
	 * @param tipoOperacion
	 *            String
	 * @return
	 */

	public void setTipoOperacion(String tipoOperacion) {
		this.tipoOperacion = tipoOperacion;
	}

	/**
	 * Method 'getXmlnombrecampo1'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo1() {
		return this.xmlnombrecampo1;
	}

	/**
	 * Method 'setXmlnombrecampo1'.
	 * 
	 * @param xmlnombrecampo1
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo1(String xmlnombrecampo1) {
		this.xmlnombrecampo1 = xmlnombrecampo1;
	}

	/**
	 * Method 'getXmlnombrecampo2'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo2() {
		return this.xmlnombrecampo2;
	}

	/**
	 * Method 'setXmlnombrecampo2'.
	 * 
	 * @param xmlnombrecampo2
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo2(String xmlnombrecampo2) {
		this.xmlnombrecampo2 = xmlnombrecampo2;
	}

	/**
	 * Method 'getXmlnombrecampo3'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo3() {
		return this.xmlnombrecampo3;
	}

	/**
	 * Method 'setXmlnombrecampo3'.
	 * 
	 * @param xmlnombrecampo3
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo3(String xmlnombrecampo3) {
		this.xmlnombrecampo3 = xmlnombrecampo3;
	}

	/**
	 * Method 'getXmlnombrecampo4'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo4() {
		return this.xmlnombrecampo4;
	}

	/**
	 * Method 'setXmlnombrecampo4'.
	 * 
	 * @param xmlnombrecampo4
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo4(String xmlnombrecampo4) {
		this.xmlnombrecampo4 = xmlnombrecampo4;
	}

	/**
	 * Method 'getXmlnombrecampo5'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo5() {
		return this.xmlnombrecampo5;
	}

	/**
	 * Method 'setXmlnombrecampo5'.
	 * 
	 * @param xmlnombrecampo5
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo5(String xmlnombrecampo5) {
		this.xmlnombrecampo5 = xmlnombrecampo5;
	}

	/**
	 * Method 'getXmlnombrecampo6'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo6() {
		return this.xmlnombrecampo6;
	}

	/**
	 * Method 'setXmlnombrecampo6'.
	 * 
	 * @param xmlnombrecampo6
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo6(String xmlnombrecampo6) {
		this.xmlnombrecampo6 = xmlnombrecampo6;
	}

	/**
	 * Method 'getXmlnombrecampo7'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo7() {
		return this.xmlnombrecampo7;
	}

	/**
	 * Method 'setXmlnombrecampo7'.
	 * 
	 * @param xmlnombrecampo7
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo7(String xmlnombrecampo7) {
		this.xmlnombrecampo7 = xmlnombrecampo7;
	}

	/**
	 * Method 'getXmlnombrecampo8'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo8() {
		return this.xmlnombrecampo8;
	}

	/**
	 * Method 'setXmlnombrecampo8'.
	 * 
	 * @param xmlnombrecampo8
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo8(String xmlnombrecampo8) {
		this.xmlnombrecampo8 = xmlnombrecampo8;
	}

	/**
	 * Method 'getXmlnombrecampo9'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo9() {
		return this.xmlnombrecampo9;
	}

	/**
	 * Method 'setXmlnombrecampo9'.
	 * 
	 * @param xmlnombrecampo9
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo9(String xmlnombrecampo9) {
		this.xmlnombrecampo9 = xmlnombrecampo9;
	}

	/**
	 * Method 'getXmlnombrecampo10'.
	 * 
	 * @return String
	 */

	public String getXmlnombrecampo10() {
		return this.xmlnombrecampo10;
	}

	/**
	 * Method 'setXmlnombrecampo10'.
	 * 
	 * @param xmlnombrecampo10
	 *            String
	 * @return
	 */

	public void setXmlnombrecampo10(String xmlnombrecampo10) {
		this.xmlnombrecampo10 = xmlnombrecampo10;
	}

	/**
	 * Method 'getUsuultmod'.
	 * 
	 * @return String
	 */

	public String getUsuultmod() {
		return this.usuultmod;
	}

	/**
	 * Method 'setUsuultmod'.
	 * 
	 * @param usuultmod
	 *            String
	 * @return
	 */

	public void setUsuultmod(String usuultmod) {
		this.usuultmod = usuultmod;
	}

	/**
	 * Method 'getFecultmod'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecultmod() {
		return this.fecultmod;
	}

	/**
	 * Method 'setFecultmod'.
	 * 
	 * @param fecultmod
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecultmod(Date fecultmod) {
		this.fecultmod = fecultmod;
	}

	/**
	 * Method 'getAdjuntos'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Adjunto> getAdjuntos() {
		return this.adjuntos;
	}

	/**
	 * Method 'setAdjuntos'.
	 * 
	 * @param adjuntos
	 *            List
	 * @return
	 */
	public void setAdjuntos(List<Adjunto> adjuntos) {
		this.adjuntos = adjuntos;
	}

	/**
	 * Method 'getItems'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Item> getItems() {
		return this.items;
	}

	/**
	 * Method 'setItems'.
	 * 
	 * @param items
	 *            List
	 * @return
	 */
	public void setItems(List<Item> items) {
		this.items = items;
	}

	/**
	 * @return the destinatarioInforme
	 */
	public String getDestinatarioInforme() {
		return destinatarioInforme;
	}

	/**
	 * @param destinatarioInforme
	 *            the destinatarioInforme to set
	 */
	public void setDestinatarioInforme(String destinatarioInforme) {
		this.destinatarioInforme = destinatarioInforme;
	}

	/**
	 * @return the direccionOrigen
	 */
	public String getDireccionOrigen() {
		return direccionOrigen;
	}

	/**
	 * @param direccionOrigen
	 *            the direccionOrigen to set
	 */
	public void setDireccionOrigen(String direccionOrigen) {
		this.direccionOrigen = direccionOrigen;
	}

	/**
	 * @return the envioKontsumonet
	 */
	public String getEnvioKontsumonet() {
		return envioKontsumonet;
	}

	/**
	 * @param envioKontsumonet
	 *            the envioKontsumonet to set
	 */
	public void setEnvioKontsumonet(String envioKontsumonet) {
		this.envioKontsumonet = envioKontsumonet;
	}

	/**
	 * @return the acuse
	 */
	public String getAcuse() {
		return acuse;
	}

	/**
	 * @param acuse
	 *            the acuse to set
	 */
	public void setAcuse(String acuse) {
		this.acuse = acuse;
	}

	/**
	 * @return the remitenteEnvio
	 */
	public String getRemitenteEnvio() {
		return remitenteEnvio;
	}

	/**
	 * @param remitenteEnvio
	 *            the remitenteEnvio to set
	 */
	public void setRemitenteEnvio(String remitenteEnvio) {
		this.remitenteEnvio = remitenteEnvio;
	}

	/**
	 * @return the envioAContactos
	 */
	public String getEnvioAContactos() {
		return envioAContactos;
	}

	/**
	 * @param envioAContactos
	 *            the envioAContactos to set
	 */
	public void setEnvioAContactos(String envioAContactos) {
		this.envioAContactos = envioAContactos;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ envioId: ").append(this.envioId).append(" ]");
		result.append(", [ sessionOid: ").append(this.sessionOid).append(" ]");
		result.append(", [ tipo: ").append(this.tipo).append(" ]");
		result.append(", [ xmlimportado: ").append(this.xmlimportado)
				.append(" ]");
		result.append(", [ mailingTemplate: ").append(this.mailingTemplate)
				.append(" ]");
		result.append(", [ mailingAsunto: ").append(this.mailingAsunto)
				.append(" ]");
		result.append(", [ fechaOperacion: ").append(this.fechaOperacion)
				.append(" ]");
		result.append(", [ tipoOperacion: ").append(this.tipoOperacion)
				.append(" ]");
		result.append(", [ xmlnombrecampo1: ").append(this.xmlnombrecampo1)
				.append(" ]");
		result.append(", [ xmlnombrecampo2: ").append(this.xmlnombrecampo2)
				.append(" ]");
		result.append(", [ xmlnombrecampo3: ").append(this.xmlnombrecampo3)
				.append(" ]");
		result.append(", [ xmlnombrecampo4: ").append(this.xmlnombrecampo4)
				.append(" ]");
		result.append(", [ xmlnombrecampo5: ").append(this.xmlnombrecampo5)
				.append(" ]");
		result.append(", [ xmlnombrecampo6: ").append(this.xmlnombrecampo6)
				.append(" ]");
		result.append(", [ xmlnombrecampo7: ").append(this.xmlnombrecampo7)
				.append(" ]");
		result.append(", [ xmlnombrecampo8: ").append(this.xmlnombrecampo8)
				.append(" ]");
		result.append(", [ xmlnombrecampo9: ").append(this.xmlnombrecampo9)
				.append(" ]");
		result.append(", [ xmlnombrecampo10: ").append(this.xmlnombrecampo10)
				.append(" ]");
		result.append(", [ usuultmod: ").append(this.usuultmod).append(" ]");
		result.append(", [ fecultmod: ").append(this.fecultmod).append(" ]");
		result.append(", [ destinatarioInforme: ")
				.append(this.destinatarioInforme).append(" ]");
		result.append(", [ direccionOrigen: ").append(this.direccionOrigen)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
